<?php
$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array();
class BackupException extends Exception
{
    protected $data;
    public function __construct($_e05e0022a2e5ad344b9c4a0d3f64e1a5, $code = 0, $data = array())
    {
        $this->data = $data;
        parent::__construct($_e05e0022a2e5ad344b9c4a0d3f64e1a5, (int) $code);
    }
    
    
    
    
    
    
    public function getData()
    {
        return $this->data;
    }
}